%define name        rbutil
%define name2       RockboxUtility
%define version     1.4.0
%define release     %mkrel 1

Summary:   Rockbox (rbutil) firmware for mp3 players 
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv2
Group:     System/Configuration/Hardware
URL:       http://www.rockbox.org/
Source:    http://download.rockbox.org/rbutil/source/%{name2}-v%{version}-src.tar.xz
Patch1:    rbutil_lang.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel 
 

%description
Rockbox (rbutil) is an open source firmware for mp3 players, written from scratch. 
It runs on a wide range of players:

* Apple: 1st through 5.5th generation iPod, iPod Mini and 1st generation iPod Nano
(not the Shuffle, 2nd/3rd/4th gen Nano, Classic or Touch)
* Archos: Jukebox 5000, 6000, Studio, Recorder, FM Recorder, Recorder V2 and Ondio
* Cowon: iAudio X5, X5V, X5L, M5, M5L, M3 and M3L
* iriver: iHP100 series, H100 series, H300 series and H10 series
* Olympus: M:Robe 100
* SanDisk: Sansa c200 series, e200 series and e200R series (not the AMS models)
* Toshiba: Gigabeat X and F series (not the S series) 

%prep
%setup -q -n %{name2}-v%{version}
%apply_patches

%build
cd rbutil/rbutilqt
qmake rbutilqt.pro -o

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af %{name}/rbutilqt/icons %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/%{name}/lang
cp -af %{name}/rbutilqt/lang/*.qm %{buildroot}%{_datadir}/%{name}/lang
install -m 755 %{name}/rbutilqt/RockboxUtility %{buildroot}%{_datadir}/%{name}

#laucher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/rockbox << EOF
#!/bin/sh
cd %_datadir/%{name}
exec ./RockboxUtility
EOF
chmod a+x %{buildroot}%{_bindir}/rockbox


# menu 
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=RockBox
Comment=Firmware for mp3 players
Exec=rockbox
Icon=rockbox
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Hardware;X-MandrivaLinux-System-Configuration-Hardware;
EOF

#icon
install -m 644 rbutil/rbutilqt/icons/rockbox-64.png -D \
%{buildroot}/%{_datadir}/pixmaps/rockbox.png
convert -scale 48 %{buildroot}/%{_datadir}/pixmaps/rockbox.png \
%{buildroot}/%{_datadir}/pixmaps/rockbox.png

%clean
rm -rf $RPM_BUILD_ROOT
%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}

%{clean_menus}


%files 
%defattr(-,root,root)
%{_bindir}/rockbox
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/rockbox.png


%changelog
* Sat Jul 11 2015 pp <pp> 1.4.0-1pclos2015
- update

* Mon Oct 01 2012 Neal <nealbrks0 at gmail dot com> 1.3.0-1pclos2012
- process

* Sat Sep 29 2012 Ken <lxgator@gmail.com> 1.3.0-1pclos2012
- 1.3.0

* Fri Jul 02 2010 Texstar <texstar at gmail.com> 1.2.7-1pclos2010
- 1.2.7

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 1.2.2-1pclos2009
- initial pkg
